Aviso de seguridad de Debian

DSA-1214-2 gv -- desbordamiento de búfer

Fecha del informe:
20 de nov de 2006
Paquetes afectados:
gv
Vulnerable:
Referencias a bases de datos de seguridad:
En el sistema de seguimiento de errores de Debian: error 398292.
En el diccionario CVE de Mitre: CVE-2006-5864.
Información adicional:

La actualización original que proporcionó en el DSA 1214-1 era insuficiente, esta actualización lo corrige. Para consultas, encontrará a continuación el aviso original:

Renaud Lifchitz descubrió que gv, el visor PostScript y PDF para X, no realizaba suficientes comprobaciones de los límites en el código de análisis de Postscript, lo que permitía la ejecución de código arbitrario mediante un desbordamiento de búfer.

Para la distribución estable (sarge), este problema se ha corregido en la versión 3.6.1-10sarge2.

Para la próxima distribución estable (etch), este problema se ha corregido en la versión 3.6.2-2.

Para la distribución inestable (sid), este problema se ha corregido en la versión 3.6.2-2.

Le recomendamos que actualice el paquete gv.

Arreglado en:

Debian GNU/Linux 3.1 (sarge)

Fuentes:
http://security.debian.org/pool/updates/main/g/gv/gv_3.6.1-10sarge2.dsc
http://security.debian.org/pool/updates/main/g/gv/gv_3.6.1-10sarge2.diff.gz
http://security.debian.org/pool/updates/main/g/gv/gv_3.6.1.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/g/gv/gv_3.6.1-10sarge2_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/g/gv/gv_3.6.1-10sarge2_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/g/gv/gv_3.6.1-10sarge2_arm.deb
HPPA:
http://security.debian.org/pool/updates/main/g/gv/gv_3.6.1-10sarge2_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/g/gv/gv_3.6.1-10sarge2_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/g/gv/gv_3.6.1-10sarge2_ia64.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/g/gv/gv_3.6.1-10sarge2_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/g/gv/gv_3.6.1-10sarge2_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/g/gv/gv_3.6.1-10sarge2_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/g/gv/gv_3.6.1-10sarge2_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/g/gv/gv_3.6.1-10sarge2_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/g/gv/gv_3.6.1-10sarge2_sparc.deb

Las sumas MD5 de los ficheros que se listan están disponibles en el aviso original.

Las sumas MD5 de los ficheros que se listan están disponibles en el aviso revisado.